## python-transitions 0.8.10+3

=== binder/requirements.txt ===
six
graphviz

## python-transitions 0.5.3

=== debian/changelog ===
python-transitions (0.5.3-1) unstable; urgency=medium

  * Initial release (closes: 869775)

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 26 Jul 2017 12:04:22 +0200

=== debian/control ===
Source: python-transitions
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stein Magnus Jodal <jodal@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-dill,
               python-nose,
               python-pygraphviz,
               python-setuptools,
               python-six,
               python3-all,
               python3-dill,
               python3-nose,
               python3-pygraphviz,
               python3-setuptools,
               python3-six,
Standards-Version: 4.0.0
Homepage: https://github.com/pytransitions/transitions
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-transitions.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-transitions.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-transitions
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Lightweight state machine library (Python 2)
 transitions is a lightweight, object-oriented state machine implementation.
 .
 This is the Python 2 version of the package.

Package: python3-transitions
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Lightweight state machine library (Python 3)
 transitions is a lightweight, object-oriented state machine implementation.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=transitions

# Upstream doesn't include the tests in the PyPI release yet. See
# https://github.com/pytransitions/transitions/pull/242
export PYBUILD_TEST_NOSE=0

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/transitions/transitions-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-transitions 0.6.7

=== debian/changelog ===
python-transitions (0.6.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Stein Magnus Jodal ]
  * New upstream release

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 25 May 2018 13:19:12 +0200

python-transitions (0.6.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Stein Magnus Jodal ]
  * New upstream release
  * debian/control
    - Bump Standards-Version to 4.1.4, no changes required
    - Build-Depends on python{,3}-mock
    - Build-Depends on python{,3}-pycodestyle
  * debian/copyright
    - Update copyright years
  * debian/rules
    - Run tests with nose
    - Install upstream changelog
  * debian/patches/
    - Add patch to always decode README.md as UTF-8

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 02 May 2018 00:53:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,24 @@
                dh-python,
                python-all,
                python-dill,
+               python-mock,
                python-nose,
+               python-pycodestyle,
                python-pygraphviz,
                python-setuptools,
                python-six,
                python3-all,
                python3-dill,
+               python3-mock,
                python3-nose,
+               python3-pycodestyle,
                python3-pygraphviz,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://github.com/pytransitions/transitions
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-transitions.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-transitions.git
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-transitions.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-transitions
 
 Package: python-transitions
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=transitions
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs Changelog.md

## python-transitions 0.6.9

=== debian/changelog ===
python-transitions (0.6.9-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 19:59:06 +0200

python-transitions (0.6.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Stein Magnus Jodal ]
  * New upstream release
  * debian/control
    - Bump Standards-Version to 4.3.0, no changes required
  * debian/copyright
    - Update copyright years
  * debian/docs
    - Install readme as docs
  * debian/patches
    - Drop patch applied upstream

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 19 Feb 2019 00:47:26 +0100

=== debian/control ===
Source: python-transitions
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stein Magnus Jodal <jodal@debian.org>,
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all,
               python3-dill,
               python3-mock,
               python3-nose,
               python3-pycodestyle,
               python3-pygraphviz,
               python3-setuptools,
               python3-six,
Standards-Version: 4.4.0
Homepage: https://github.com/pytransitions/transitions
Vcs-Git: https://salsa.debian.org/python-team/modules/python-transitions.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-transitions

Package: python3-transitions
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Lightweight state machine library (Python 3)
 transitions is a lightweight, object-oriented state machine implementation.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_TEST_NOSE=1
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changelog.md

## python-transitions 0.7.2

=== debian/changelog ===
python-transitions (0.7.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Stein Magnus Jodal ]
  * New upstream release

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 16 Jan 2020 09:39:00 +0100

python-transitions (0.7.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Stein Magnus Jodal ]
  * New upstream release
  * Switch test runner from nosetests to pytest

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 25 Dec 2019 13:04:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stein Magnus Jodal <jodal@debian.org>,
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-dill,
-               python3-mock,
-               python3-nose,
+               python3-pytest,
                python3-pycodestyle,
                python3-pygraphviz,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/pytransitions/transitions
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-transitions.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-transitions

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=transitions
-export PYBUILD_TEST_NOSE=1
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-transitions 0.8.2

=== debian/changelog ===
python-transitions (0.8.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.8.2 (Closes: #963459)
  * compat version: 13
  * Add autopkgtests

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 05 Jul 2020 17:07:54 +0530

python-transitions (0.8.1-1) unstable; urgency=medium

  [ Stein Magnus Jodal ]
  * Use debian/master as debian branch

  [ Philipp Huebner ]
  * New upstream version 0.8.1
  * Add myself to uploaders
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Add "Rules-Requires-Root: no" to debian/control
  * Set Testsuite: autopkgtest-pkg-python in debian/control
  * Install examples

 -- Philipp Huebner <debalance@debian.org>  Wed, 29 Apr 2020 11:12:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Stein Magnus Jodal <jodal@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Stein Magnus Jodal <jodal@debian.org>, Philipp Huebner <debalance@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-dill,
@@ -12,7 +12,9 @@
                python3-pygraphviz,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pytransitions/transitions
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-transitions.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-transitions

## python-transitions 0.8.6

=== debian/changelog ===
python-transitions (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * Added patch to fix code style errors causing FTBFS issues

 -- Philipp Huebner <debalance@debian.org>  Tue, 29 Dec 2020 15:25:40 +0100

python-transitions (0.8.5-2) unstable; urgency=medium

  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Added debian/source/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Mon, 28 Dec 2020 16:16:02 +0100

python-transitions (0.8.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stein Magnus Jodal ]
  * Remove myself from Uploaders
  * New upstream release

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 04 Dec 2020 21:08:18 +0100

=== debian/control ===
Source: python-transitions
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-dill,
               python3-pytest,
               python3-pycodestyle,
               python3-pygraphviz,
               python3-setuptools,
               python3-six,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/pytransitions/transitions
Vcs-Git: https://salsa.debian.org/python-team/packages/python-transitions.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-transitions

Package: python3-transitions
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Lightweight state machine library (Python 3)
 transitions is a lightweight, object-oriented state machine implementation.
 .
 This is the Python 3 version of the package.

## python-transitions 0.8.10+3

=== debian/changelog ===
python-transitions (0.8.10+3-1) unstable; urgency=medium

  * New upstream version 0.8.10+3 (Closes:  #1001479, #1002346)
  * Update years in debian/copyright
  * Updated lintian overrides
  * Updated Standards-Version: 4.6.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 28 Dec 2021 10:03:37 +0100

python-transitions (0.8.9-1) unstable; urgency=medium

  * New upstream version 0.8.9

 -- Philipp Huebner <debalance@debian.org>  Tue, 07 Sep 2021 08:24:01 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pygraphviz,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pytransitions/transitions

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export PYBUILD_NAME=transitions

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs Changelog.md

override_dh_fixperms:
	dh_fixperms
	find debian/python3-transitions/ -type f -exec chmod a-x {} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-all, python3-pycodestyle
Restrictions: allow-stderr

## python-transitions 0.8.11

=== debian/changelog ===
python-transitions (0.8.11-1) unstable; urgency=medium

  * New upstream version 0.8.11
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Fixed debian/tests/run-unit-test

 -- Philipp Huebner <debalance@debian.org>  Wed, 22 Jun 2022 12:13:23 +0200

## python-transitions 0.9.0

=== debian/changelog ===
python-transitions (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Fri, 04 Nov 2022 12:41:09 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pygraphviz,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pytransitions/transitions

## python-transitions 0.9.1

=== debian/changelog ===
python-transitions (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 22 May 2024 16:40:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-dill,
                python3-pytest,
@@ -12,7 +12,7 @@
                python3-pygraphviz,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pytransitions/transitions

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=transitions
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changelog.md

## python-transitions 0.9.2

=== debian/changelog ===
python-transitions (0.9.2-2) unstable; urgency=medium

  * Team upload.
  * Patch-out need for python3-six

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 Jan 2025 13:29:43 +0100

python-transitions (0.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.2
  * Skip mypy "test"

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Sep 2024 12:32:55 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                python3-pycodestyle,
                python3-pygraphviz,
                python3-setuptools,
-               python3-six,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 export DH_VERBOSE=1
 
 export PYBUILD_NAME=transitions
+export PYBUILD_TEST_ARGS=-k 'not test_mypy_package'
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/transitions/transitions-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
